#ifndef XSTREAMFILEINFO_H
#define XSTREAMFILEINFO_H

#include "xasset.h"

class XStreamFileNameRaw;
class XStreamFileNamePacked;

class XStreamFileInfo : public XAsset
{
public:
    XStreamFileInfo();
    ~XStreamFileInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XStreamFileNameRaw *mRaw;
    XStreamFileNamePacked *mPacked;
};

#endif // XSTREAMFILEINFO_H
